## EogWindowActivatable EogWindowActivatable |

## Synopsis

                        EogWindowActivatable;
    struct              EogWindowActivatableInterface;
    void                eog_window_activatable_activate     (EogWindowActivatable *activatable);
    void                eog_window_activatable_deactivate   (EogWindowActivatable *activatable);

## Object Hierarchy

      GInterface
       +----EogWindowActivatable

## Prerequisites

EogWindowActivatable requires GObject.

## Properties

      "window"                   EogWindow*            : Read / Write / Construct Only

## Description

## Details

### EogWindowActivatable

    typedef struct _EogWindowActivatable EogWindowActivatable;

### struct EogWindowActivatableInterface

    struct EogWindowActivatableInterface {
    	GTypeInterface g_iface;

    	/* vfuncs */

    	void (*activate) (EogWindowActivatable *activatable);
    	void (*deactivate) (EogWindowActivatable *activatable);
    };

### eog_window_activatable_activate ()

    void                eog_window_activatable_activate     (EogWindowActivatable *activatable);

### eog_window_activatable_deactivate ()

    void                eog_window_activatable_deactivate   (EogWindowActivatable *activatable);

## Property Details

### The `"window"` property

      "window"                   EogWindow*            : Read / Write / Construct Only

This is the EogWindow this EogWindowActivatable instance should be attached to.